.aegov-custom-radio input[type=radio] {
    width: 2rem;
    height: 2rem;
    accent-color: var(--primary-dark);
}

.aegov-check-item {
    font-size: var(--aegov-font-size);
    display: flex;
    align-items: center;
    justify-content: flex-start
}

.aegov-check-item input[type=checkbox],
.aegov-check-item input[type=radio] {
    position: relative;
    height: 1.25em;
    width: 1.25em;
    flex-shrink: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: #fff;
    border: 1px solid var(--clr-primary-400);
    border-radius: 0.25em;
    color: var(--clr-primary-400);
    accent-color: var(--clr-primary-400);
    margin: 0;
}

.aegov-check-item input[type=checkbox]:before,
.aegov-check-item input[type=radio]:before {
    position: absolute;
    height: 3em;
    width: 3em;
    inset-inline-start: 50%;
    top: 50%;
    transform: translate(50%, -50%) scale(0);
    border-radius: 9999px;
    --tw-bg-opacity: 1;
    background-color: rgb(249 247 237 / var(--tw-bg-opacity, 1));
    mix-blend-mode: multiply;
    content: "" !important;
    transition-property: all;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration: .15s
}

.aegov-check-item input[type=checkbox]:hover:before,
.aegov-check-item input[type=radio]:hover:before {
    content: "" !important;
    transform: translate(50%, -50%) scale(1);
}

.aegov-check-item input[type=checkbox]:where([dir=rtl], [dir=rtl] *):before,
.aegov-check-item input[type=radio]:where([dir=rtl], [dir=rtl] *):before {
    content: "" !important;
    --tw-translate-x: 50%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.aegov-check-item input[type=checkbox]:focus,
.aegov-check-item input[type=radio]:focus {
    outline: 2px solid transparent;
    outline-offset: 2px;
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
    --tw-ring-opacity: 1;
    --tw-ring-color: rgb(248 192 39 / var(--tw-ring-opacity, 1));
    --tw-ring-offset-width: 2px
}

.aegov-check-item input[type=checkbox]:checked,
.aegov-check-item input[type=radio]:checked {
    border-color: transparent;
    background-color: currentColor;
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
}

.aegov-check-item input[type=checkbox]:checked {
    background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 16 16' fill='white' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z'/%3e%3c/svg%3e");
}

.aegov-check-item input[type=checkbox]:disabled,
.aegov-check-item input[type=radio]:disabled {
    pointer-events: none;
    --tw-border-opacity: 1;
    border-color: rgb(230 215 162 / var(--tw-border-opacity, 1))
}

.aegov-check-item input[type=checkbox]:disabled:before,
.aegov-check-item input[type=radio]:disabled:before {
    content: "" !important;
    display: none !important
}

.aegov-check-item.check-lg input[type=checkbox],
.aegov-check-group.check-lg input[type=checkbox],
.aegov-check-item.check-lg input[type=radio],
.aegov-check-group.check-lg input[type=radio] {
    height: 1.5em;
    width: 1.5em;
}

.aegov-check-item.check-base input[type=checkbox],
.aegov-check-group.check-base input[type=checkbox],
.aegov-check-item.check-base input[type=radio],
.aegov-check-group.check-base input[type=radio] {
    height: 1.25em;
    width: 1.25em;
}

.aegov-check-item.check-sm input[type=radio],
.aegov-check-group.check-sm input[type=radio] {
    height: 1em;
    width: 1em;
}

.aegov-check-item.check-sm input[type=radio]:before,
.aegov-check-group.check-sm input[type=radio]:before {
    height: 2.5em;
    content: "" !important;
    width: 2.5em;
}

.aegov-check-item.check-secondary input[type=checkbox],
.aegov-check-item.check-secondary input[type=radio],
.aegov-check-group.check-secondary input[type=checkbox],
.aegov-check-group.check-secondary input[type=radio] {
    border-width: 2px;
    --tw-border-opacity: 1;
    border-color: rgb(62 64 70 / var(--tw-border-opacity, 1));
    --tw-text-opacity: 1;
    color: rgb(35 37 40 / var(--tw-text-opacity, 1));
    accent-color: #232528
}

.aegov-check-item.check-secondary input[type=checkbox]:before,
.aegov-check-item.check-secondary input[type=radio]:before,
.aegov-check-group.check-secondary input[type=checkbox]:before,
.aegov-check-group.check-secondary input[type=radio]:before {
    content: "" !important;
    --tw-bg-opacity: 1;
    background-color: rgb(247 247 247 / var(--tw-bg-opacity, 1))
}

.aegov-check-item.check-secondary input[type=checkbox]:focus,
.aegov-check-item.check-secondary input[type=radio]:focus,
.aegov-check-group.check-secondary input[type=checkbox]:focus,
.aegov-check-group.check-secondary input[type=radio]:focus {
    --tw-ring-opacity: 1;
    --tw-ring-color: rgb(117 219 255 / var(--tw-ring-opacity, 1))
}

.aegov-check-item.check-secondary input[type=checkbox]:disabled,
.aegov-check-item.check-secondary input[type=radio]:disabled,
.aegov-check-group.check-secondary input[type=checkbox]:disabled,
.aegov-check-group.check-secondary input[type=radio]:disabled {
    --tw-border-opacity: 1;
    border-color: rgb(195 198 203 / var(--tw-border-opacity, 1))
}

.aegov-check-item>:not([hidden])~:not([hidden]) {
    margin: 0;
    margin-inline-start: 1em;
}